Page MenuHomePhabricator

build libanon package for trusty
Closed, ResolvedPublic

Description

dependency for udp-filter, which we need for postprocessing kafkatee output

Event Timeline

Jgreen created this task.Aug 28 2015, 9:04 PM
Jgreen claimed this task.
Jgreen raised the priority of this task from to Medium.
Jgreen updated the task description. (Show Details)
Jgreen added a subscriber: Jgreen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 9:04 PM

Doesn't compile:

checking whether to build shared libraries... yes
checking whether to build static libraries... yes
./configure: line 11582: syntax error near unexpected token `OPENSSL,'
./configure: line 11582: `PKG_CHECK_MODULES(OPENSSL, openssl)'
make: *** [configure] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package

Same problem with the version we packaged for Precise and head for the gerrit project.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:45 PM

Doesn't compile:
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
./configure: line 11582: syntax error near unexpected token `OPENSSL,'
./configure: line 11582: `PKG_CHECK_MODULES(OPENSSL, openssl)'
make: *** [configure] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
Same problem with the version we packaged for Precise and head for the gerrit project.

Fixed Build-Depends in the .dsc so pbuilder, builds clean for trusty/precise. Still needs a security review.

Jgreen closed this task as Resolved.Sep 14 2015, 1:39 PM

builds now